PS4 News on Facebook! PS4 News on Twitter! PS4 News on YouTube! PS4 News RSS Feed!

Home PS4 News - Latest PlayStation 4 and PS3 News

January 10, 2011 // 9:37 am - Update: This method ended up failing because the LV2 address range is protected by Sony on PS3 with Firmware v3.55, so Netkas and flukes1 are now working on a patch for LV1 instead.

Today Netkas and flukes1 have successfully managed to patch the PS3 lv2_kernel in v3.55 Firmware to allow peek and poke syscalls, meaning PlayStation 3 backup managers and Custom Firmware (CFW) will also be able to make use of them!

Download: PS3 3.55 LV2 Kernel Patched with Peek/Poke / PS3 3.55 Custom Firmware with Peek/Poke / 3.55 Peek-n-Poke Patcher GUI and 3.55 Peek-n-Poke Patcher GUI v2 by Quakes69

From the ReadMe file:Patch to add peek and poke syscalls to PS3 firmware v3.55 by flukes1 and netkas ( #ps3test)

To create the patched PS3UPDAT.PUP:

1. Use bspatch to apply PS3UPDAT.PUP.bsdiff to Sony's official 3.55 PUP, which is available from their website.
2. Run this from command line: "bspatch PS3UPDAT.PUP PS3UPDAT-NEW.PUP PS3UPDAT.PUP.bsdiff"
2. Ensure that the md5sum of the resulting PS3UPDAT.PUP is: 337831fac6a9b05074f73710c4bb7c86

Simply install the patched PS3UPDAT.PUP onto your PS3, then install geohot's jailbreak.

Our PUP can be installed over any firmware version, including 3.55-geohot. If you install over 3.55-geohot, you must reinstall geohot's jailbreak afterwards.

For developers: peek is syscall 6, poke is syscall 7 (same as PL3 dev payload)

Props to mastag22, lastExile, Killer_In - our testers with balls of steel.


- flukes1, netkas

PS3 LV2 Kernel Peek / Poke Patched, Backup Managers and CFW!

PS3 LV2 Kernel Peek / Poke Patched, Backup Managers and CFW!

Follow us on Twitter, Facebook and drop by the PS3 Hacks and PS3 CFW forums for the latest PlayStation 3 scene and PS4 Hacks & JailBreak updates with PlayStation 4 homebrew PS4 Downloads.

#45 - PS4 News - January 10, 2011 // 8:51 pm
PS4 News's Avatar
Guys please keep this thread on topic and don't post IRC junk here, like you'd follow Twitter to read people's tweets simply join IRC to read those logs there directly as I don't have time to sift through IRC posts here between the normal ones. Thanks!

#44 - hembuger - January 10, 2011 // 8:43 pm
hembuger's Avatar
I haven't been able to flash this for some reason. I'm running geohot's jb firmware and whenever I try it tells me that the console is already running the latest firmware and there's no need to update. I've tried to enter recovery mode but all that does is reset the video settings.

#43 - fwydu - January 10, 2011 // 7:36 pm
fwydu's Avatar
I can't wait until we have a complete cfw

#42 - zzk2001 - January 10, 2011 // 7:36 pm
zzk2001's Avatar
Even if the Managers update.. or should i say downgrade to use 6/7 many games will not work. I mean i would think.., Seeing as we done been through all this before. Heck IDK lol it's hard to keep up with all this stuff some times =P for now i say stay on 3.41 till we have a 100% sure thing going with the 3.55 CFW etc

#41 - FMAranda - January 10, 2011 // 7:05 pm
FMAranda's Avatar
They are still working on it, they have made a new .PUP but it didn't fix the problem when they poke something. Now they are trying to inject the payload in the kernel, i guess.

#40 - Bishoff - January 10, 2011 // 6:34 pm
Bishoff's Avatar
Isn't the linked firmware already patched with the stated steps in the OP? We need clearer instructions so people know what to do. I think all that is needed is to install Geohot's jailbreak.

#39 - Sabba - January 10, 2011 // 6:12 pm
Sabba's Avatar
I made a CFW with pach peek poke and geohot in one PUP, if anyone is interested can tell me where I can link.

sorry my english

#38 - tjay17 - January 10, 2011 // 6:05 pm
tjay17's Avatar
Why didn't they use the things that are needed by the current managers and also are the syscalls needed for the managers? Did the first manager use them?

#37 - Mbb - January 10, 2011 // 5:56 pm
Mbb's Avatar
They are testing a new version of the CFW atm, this one is still useless right now!

#36 - Quinine - January 10, 2011 // 5:53 pm
Quinine's Avatar
Since that wasn't the case for me, if you read my earlier post I wrote that Peek&Poke PUP wouldnt install over my 3.55 OFW. In contradiction to what flukes claimed.

I rest my case.